## com.bbn.openmap.dataAccess.iso8211
Class DDFFieldDefinition.DataStructCode

    java.lang.Object
      com.bbn.openmap.dataAccess.iso8211.DDFFieldDefinition.DataStructCode

Enclosing class:
  DDFFieldDefinition

public static class DDFFieldDefinition.DataStructCode
extends java.lang.Object

Field Summary
`static DDFFieldDefinition.DataStructCode` `ARRAY`
`static DDFFieldDefinition.DataStructCode` `CONCATENATED`
`static DDFFieldDefinition.DataStructCode` `ELEMENTARY`
`static DDFFieldDefinition.DataStructCode` `VECTOR`

Constructor Summary
`DDFFieldDefinition.DataStructCode(char structCode, java.lang.String name)`

Method Summary
`static DDFFieldDefinition.DataStructCode` `get(char c)`
`char` `getCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELEMENTARY

    public static final DDFFieldDefinition.DataStructCode ELEMENTARY

### VECTOR

    public static final DDFFieldDefinition.DataStructCode VECTOR

### ARRAY

    public static final DDFFieldDefinition.DataStructCode ARRAY

### CONCATENATED

    public static final DDFFieldDefinition.DataStructCode CONCATENATED

Constructor Detail

### DDFFieldDefinition.DataStructCode

    public DDFFieldDefinition.DataStructCode(char structCode,
                                             java.lang.String name)

Method Detail

### getCode

    public char getCode()

### toString

    public java.lang.String toString()

### get

    public static DDFFieldDefinition.DataStructCode get(char c)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details